Subject: [ofa-general] [NET_BATCH] Some perf results

From: jamal <[email-masked]>
Date: Mon, 08 Oct 2007 15:53:24 -0400

Ive attached a small pdf with results. This adds on top of results I
posted yesterday (although i didnt see them reflected on netdev).

1) "batch-ntlst" is the patches posted today that remove the temporary
list in qdisc restart and is derived from this AM net-2.6.24
2) "batch-kern" is result of batching patches posted yesterday that had
the temporary list and is based on net-2.6.24 from yesterday AM
3) "net-2.6.2" is yesterday's AM net-2.6.24 with no changes,

So #1 is not a completely fair comparison with #2 and #3. However,
looking at the logs, the changes that have gone in are unrelated to the
areas i have touched, so i dont expect any effect.

Overall, removing the temporay list from qdisc_restart provides a small
improvement noticeable only at the smaller packet sizes. 

In any case, enjoy.

cheers,
jamal